<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class MAndroidJsonOP extends CI_Model
{

    public $table = 'TEMPAT_USAHA';
    public $id = 'ID_INC';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
        $this->npwpd=$this->session->userdata('NIP');
        $this->role =$this->session->userdata('MS_ROLE_ID');
        $this->upt=$this->session->userdata('UNIT_UPT_ID');
    }

    function ListJenisPajak(){
         if ($this->role==8) {
           $wh="";//" WHERE ID_INC!='08' AND ID_INC!='04'";
           $this->datatables->where($wh);
        } else {
            $wh='';
        }
        return $this->db->query("SELECT * FROM PDRD2.JENIS_PAJAK ".$wh." ")->result();
    }

    function getGolHotel(){
        return $this->db->query("SELECT ID_OP, ID_GOL,MASA,PERSEN,DESKRIPSI FROM PDRD2.OBJEK_PAJAK WHERE ID_GOL=172 OR ID_GOL=174 OR ID_GOL=175 OR ID_GOL=176 OR ID_GOL=493 OR ID_GOL=494")->result();
    }

    function getGolRestoran(){
        return $this->db->query("SELECT ID_OP, ID_GOL,MASA,PERSEN,DESKRIPSI FROM PDRD2.OBJEK_PAJAK WHERE ID_GOL=184 OR ID_GOL=185 OR ID_GOL=186 OR ID_GOL=187 OR ID_GOL=495 ")->result();
    }

    function getGolHiburan(){
        return $this->db->query("SELECT ID_OP, ID_GOL,MASA,PERSEN,DESKRIPSI FROM PDRD2.OBJEK_PAJAK WHERE ID_GOL=142 OR
                                                                                                     ID_GOL=143 OR
                                                                                                     ID_GOL=145 OR
                                                                                                     ID_GOL=147 OR
                                                                                                     ID_GOL=148 OR
                                                                                                     ID_GOL=149 OR
                                                                                                     ID_GOL=151 OR
                                                                                                     ID_GOL=496 OR
                                                                                                     ID_GOL=497 OR
                                                                                                     ID_GOL=498 OR
                                                                                                     ID_GOL=499 OR
                                                                                                     ID_GOL=500 OR
                                                                                                     ID_GOL=501 OR
                                                                                                     ID_GOL=502 OR
                                                                                                     ID_GOL=503 OR
                                                                                                     ID_GOL=504 OR
                                                                                                     ID_GOL=505 OR
                                                                                                     ID_GOL=506 OR
                                                                                                     ID_GOL=193 ")->result();
    }

    function getGolPpj(){
        return $this->db->query("SELECT ID_OP, ID_GOL,MASA,PERSEN,DESKRIPSI FROM PDRD2.OBJEK_PAJAK WHERE ID_GOL=178 OR ID_GOL=179 ")->result();
    }

    function getGolAir(){
        return $this->db->query("SELECT * FROM PDRD2.OBJEK_PAJAK where iD_GOL=490 ")->result();
    }

    
}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-08 05:30:09 */
/* http://harviacode.com */